Subject: Stitching inperfection
From: Mandy Lindemann <[email-masked]>
To: [email-masked]
Date: Tue, 28 Oct 2025 18:41:15 -0700

Hello, one of the wash clothes I ordered seems to have a slight stitching
imperfection on the reverse side where the tag was sewn.  It feels thinner
like the border may tear away after a little use or a few washings.  Just
wondering if you offer a replacement or Amazon credit for just one wash
cloth?

I tried to capture a picture, but it’s not real obvious and more so by feel.

Thank you,

Amanda Lindemann
4083 W Sunset Rd, #58
Yucca, AZ 86438
262-424-0598